unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  ComCtrls;

type


  { TMyClass }

  TMyClass = class(TObject)
  private
    fWC: TWinControl;
    Panel: TPanel;
    procedure MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
    procedure KeyPress(Sender: TObject; var Key: char);
  public
    constructor Create(WC: TWinControl);
  end;


  { TForm1 }

  TForm1 = class(TForm)
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    MyClass: TMyClass;
  public
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  MyClass := TMyClass.Create(Self);
//  KeyPreview:=False;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  MyClass.Free;
end;

{ TMyClass }

procedure TMyClass.MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: integer);
begin
  Panel.Canvas.LineTo(x, y);
end;

procedure TMyClass.KeyPress(Sender: TObject; var Key: char);
begin
 Panel.Caption:=Key;
end;

constructor TMyClass.Create(WC: TWinControl);
begin
  inherited Create;
  fWC := WC;
  Panel := TPanel.Create(WC);
  Panel.Align:=alClient;
  Panel.Parent := WC;
  Panel.OnMouseMove := @MouseMove;
  Panel.OnKeyPress:=@KeyPress;
end;

end.
